Package org.eclipse.birt.report.model.api.validators

# Class ElementExtendsValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractElementValidator
org.eclipse.birt.report.model.api.validators.ElementExtendsValidator

public class ElementExtendsValidator extends org.eclipse.birt.report.model.validators.AbstractElementValidator
Validates the element extends property. If the value can refer to an actual element, it will be resolved after validation.

### Rule

The rule is that the element extends value should refer to an actual element in the same report or included libraries.

### Applicability

This validator is only applied to the element extends property.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final ElementExtendsValidator`
`instance`
The singleton instance of the validator.
`static final String`
`NAME`
Name of this validator.

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`ElementExtendsValidator()`

## Method Summary

Modifier and Type
Method
Description
`static ElementExtendsValidator`
`getInstance()`
Returns the singleton validator instance.
`List`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validates the element reference value can refer to an actual element.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
Name of this validator.

See Also:
  - Constant Field Values

### instance

protected static final ElementExtendsValidator instance
The singleton instance of the validator.

## Constructor Details

### ElementExtendsValidator

public ElementExtendsValidator()

## Method Details

### getInstance

public static ElementExtendsValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Validates the element reference value can refer to an actual element.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Parameters:
  `module` - the module
  `element` - the element to validate
Returns:
  error list, each of which is the instance of `SemanticException`.